aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_completion.d/ftp.bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-12-01 13:15:28 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-12-01 13:15:28 +1300
commitb6c540ded9a527f19b8bff7888e330ba2786f552 (patch)
tree2fdddfb9844127ee20be21b83e6fb4c749328588 /bash/bash_completion.d/ftp.bash
parentOverhaul bd() completion again (diff)
downloaddotfiles-b6c540ded9a527f19b8bff7888e330ba2786f552.tar.gz
dotfiles-b6c540ded9a527f19b8bff7888e330ba2786f552.zip
Use the positional parameter aliases for words
The current word is available in $2, and the previous word in $3. That's easier (and maybe a bit less expensive) to dig out, so let's use it.
Diffstat (limited to 'bash/bash_completion.d/ftp.bash')
-rw-r--r--bash/bash_completion.d/ftp.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/bash/bash_completion.d/ftp.bash b/bash/bash_completion.d/ftp.bash
index a584dd81..f174b5ff 100644
--- a/bash/bash_completion.d/ftp.bash
+++ b/bash/bash_completion.d/ftp.bash
@@ -26,7 +26,7 @@ _ftp() {
# Generate completion reply
local machine
for machine in "${machines[@]}" ; do
- [[ $machine == "${COMP_WORDS[COMP_CWORD]}"* ]] || continue
+ [[ $machine == "$2"* ]] || continue
COMPREPLY[${#COMPREPLY[@]}]=$machine
done
}